//***********************************************************************************
/** Class to return iterate of Quadratic map function.<br>
*/
//***********************************************************************************
public class CubicFunction extends Map1DFunction {


      CubicFunction() {
            nParameters=1;
            a=new double[nParameters];
            aDefault = new double[nParameters];
            aDefault[0]=2.0;
            aMinimum=0.;
            aMaximum=2.598076;
            enforceARange=true;
            x0Default=0.2;
            title = "Cubic Map";            
      }
      
      public double evaluateFunction(double x) {            
            return a[0]*x*(1-x*x);
      }

      public double evaluateDerivative(double x) {            
            return a[0]*(1-3*x*x);
      }       
      
}



